Will FCE HD run on the Snow Leopard OXS or will I have to upgrade to FCE 4 also for my Duo Intel IMAC?

  • Asked about:  Mac OS X 10.6 Snow Leopard

1 Answer from the Community

  • yes